CVE-2005-1752
CVSS6.4
发布时间 :2005-12-31 00:00:00
修订时间 :2016-10-17 23:22:11
NMCO    

[原文]viewFile.php in the scm component of Gforge before 4.0 allows remote attackers to execute arbitrary commands via shell metacharacters in the file_name parameter.


[CNNVD]GForge远程任意命令执行漏洞(CNNVD-200512-670)

        Gforge的4.0之前版本中的scm组件的viewFile.php使得远程攻击者可以通过file_name参数中shell元字符来执行任意命令。

- CVSS (基础分值)

CVSS分值: 6.4 [中等(MEDIUM)]
机密性影响: [--]
完整性影响: [--]
可用性影响: [--]
攻击复杂度: [--]
攻击向量: [--]
身份认证: [--]

- CPE (受影响的平台与产品)

cpe:/a:gforge:gforge:3.3
cpe:/a:gforge:gforge:3.2
cpe:/a:gforge:gforge:3.1
cpe:/a:gforge:gforge:3.21

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-1752
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2005-1752
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200512-670
(官方数据源) CNNVD

- 其它链接及资源

http://marc.info/?l=bugtraq&m=111695779919830&w=2
(UNKNOWN)  BUGTRAQ  20050524 Gforge - viewFile.php security flaw
http://www.securityfocus.com/bid/13716
(PATCH)  BID  13716

- 漏洞信息

GForge远程任意命令执行漏洞
中危 输入验证
2005-12-31 00:00:00 2006-05-22 00:00:00
远程  
        Gforge的4.0之前版本中的scm组件的viewFile.php使得远程攻击者可以通过file_name参数中shell元字符来执行任意命令。

- 公告与补丁

        目前厂商已经发布了升级补丁以修复此安全问题,补丁获取链接:
        http://gforge.org/frs/download.php/88/gforge-4.0.2.tar.bz2

- 漏洞信息

16930
GForge viewFile.php file_name Parameter Arbitrary Command Execution
Remote / Network Access

- 漏洞描述

Unknown or Incomplete

- 时间线

2005-05-24 Unknow
2005-05-24 Unknow

- 解决方案

Upgrade to version 3.1-30 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站